.. _QueryDisksForVsan: ../../vim/host/VsanSystem.rst#queryDisksForVsan

.. _UpdateDiskPartitions: ../../vim/host/StorageSystem.rst#updateDiskPartitions

.. _vim.fault.VsanDiskFault: ../../vim/fault/VsanDiskFault.rst


vim.fault.DiskHasPartitions
===========================
    :extends:

        `vim.fault.VsanDiskFault`_

  Fault used for disks which have existing, non-VSAN partitions.See `UpdateDiskPartitions`_ See `QueryDisksForVsan`_ 

Attributes:




